/*
 * (C) COPYRIGHT 2015 CRZ
 *
 * File Name : hw_config.h
 * Author    : POOH
 * Version   : V1.0
 * Date      : 10/12/2015
 */

#ifndef __HW_CONFIG_H
#define __HW_CONFIG_H

/* includes */

#include "stm32f4xx_hal.h"
#include "stm32f4_mango.h"
#include "stdio.h"
#include "stdint.h"
#include "string.h"
#include "ctype.h"
#include "hw_types.h"

#include <stdlib.h>
#include <time.h>

#include "debug.h"
#include "uart_queue.h"
#include "LED_Test.h"
#include "event_queue.h"
#include "SDMMC_Test.h"
#include "SRAM_Test.h"
#include "USB_Host_Test.h"
#include "Ethernet_Http_Test.h"
#include "USB_Device_Test.h"
#include "RTC_Test.h"
#include "CAN_Test.h"
#include "UART6_Test.h"

/* global variables */

/* UART handler declaration */
extern UART_HandleTypeDef g_Uart_1_Debug_Handle;

/* defines */

/* UART Reception buffer */
#define UART_RXBUFFERSIZE     100

/* functions */

void Wait_N_Seconds(uint32_t wait_time);
void Error_Handler(void);
void USART_Debug_Initialization(void);

void KEY_Initialization(void);

#endif  /*__HW_CONFIG_H */

