/*
 * (C) COPYRIGHT 2015 CRZ
 *
 * File Name : hw_types.h
 * Author    : POOH
 * Version   : V1.0
 * Date      : 15/12/2015
 */

#ifndef __HW_TYPES_H
#define __HW_TYPES_H

typedef uint32_t  u32;
typedef uint16_t u16;
typedef uint8_t  u8;

typedef const uint32_t uc32;  /*!< Read Only */
typedef const uint16_t uc16;  /*!< Read Only */
typedef const uint8_t uc8;   /*!< Read Only */

#ifndef __cplusplus
typedef enum {CRZ_FALSE = 0, CRZ_TRUE = !CRZ_FALSE} CRZ_bool;
#endif

#endif  /*__HW_TYPES_H */

