#ifndef __UART_QUEUE_H
#define __UART_QUEUE_H

/* Includes */

#include "hw_config.h"
#include "hw_types.h"

/* Exported constants */

/* Exported functions */

// UART Queue for Serial

void UartQueue_Serial_Initialize(void);
CRZ_bool UartQueue_Serial_Is_Empty(void);
void UartQueue_Serial_EnQueue(uint16_t data);
uint16_t UartQueue_Serial_DeQueue(void);

// UART 6 Queue for Comm

void Uart_6_Queue_Comm_Initialize(void);
CRZ_bool Uart_6_Queue_Comm_Is_Empty(void);
void Uart_6_Queue_Comm_EnQueue(uint16_t data);
uint16_t Uart_6_Queue_Comm_DeQueue(void);

#endif /* __UART_QUEUE_H */

