/*
 * (C) COPYRIGHT 2016 CRZ
 *
 * File Name : Ethernet_Http_Test.h
 * Author    : POOH
 * Version   : V1.0
 * Date      : 17/03/2016
 */

#ifndef __ETHERNET_HTTP_TEST_H
#define __ETHERNET_HTTP_TEST_H

/* includes */

#include "stm32f4xx_hal.h"
#include "stm32f4_mango.h"
#include "stdio.h"

/* defines */

/*Static IP ADDRESS: IP_ADDR0.IP_ADDR1.IP_ADDR2.IP_ADDR3 */
#define IP_ADDR0   192
#define IP_ADDR1   168
#define IP_ADDR2   58
#define IP_ADDR3   101

/*NETMASK*/
#define NETMASK_ADDR0   255
#define NETMASK_ADDR1   255
#define NETMASK_ADDR2   255
#define NETMASK_ADDR3   0

/*Gateway Address*/
#define GW_ADDR0   192
#define GW_ADDR1   168
#define GW_ADDR2   58
#define GW_ADDR3   1  

/* functions */

void Ethernet_HTTP_Test(void);

#endif  /* __ETHERNET_HTTP_TEST_H */

