/*
 * (C) COPYRIGHT 2016 CRZ
 *
 * File Name : UART6_Test.h
 * Author    : POOH
 * Version   : V1.0
 * Date      : 17/03/2016
 */

#ifndef __UART6_TEST_H
#define __UART6_TEST_H

/* includes */

#include "stm32f4xx_hal.h"
#include "stm32f4_mango.h"
#include "stdio.h"

/* defines */

/* Definition for USARTx clock resources */
#define USART_6_COM                           USART6
#define USART_6_COM_CLK_ENABLE()              __HAL_RCC_USART6_CLK_ENABLE();
#define USART_6_COM_RX_GPIO_CLK_ENABLE()      __HAL_RCC_GPIOC_CLK_ENABLE()
#define USART_6_COM_TX_GPIO_CLK_ENABLE()      __HAL_RCC_GPIOC_CLK_ENABLE() 

#define USART_6_COM_FORCE_RESET()             __HAL_RCC_USART6_FORCE_RESET()
#define USART_6_COM_RELEASE_RESET()           __HAL_RCC_USART6_RELEASE_RESET()

/* Definition for USARTx Pins */
#define USART_6_COM_TX_PIN                    GPIO_PIN_6
#define USART_6_COM_TX_GPIO_PORT              GPIOC
#define USART_6_COM_TX_AF                     GPIO_AF8_USART6
#define USART_6_COM_RX_PIN                    GPIO_PIN_7
#define USART_6_COM_RX_GPIO_PORT              GPIOC
#define USART_6_COM_RX_AF                     GPIO_AF8_USART6

/* Definition for USARTx's NVIC */
#define USART_6_COM_IRQn                      USART6_IRQn

/* UART handler declaration */
extern UART_HandleTypeDef g_Uart_6_Com_Handle;

/* functions */

void UART6_Test(void);

#endif  /* __UART6_TEST_H */

