/*
 * (C) COPYRIGHT 2016 CRZ
 *
 * File Name : USB_Device_Test.c
 * Author    : POOH
 * Version   : V1.0
 * Date      : 01/07/2016
 */

/* includes */

#include "hw_config.h"

#include "usbd_core.h"
#include "usbd_desc.h"
#include "usbd_customhid.h"
#include "usbd_customhid_if.h"

/* defines */

/* global variables */

USBD_HandleTypeDef USBD_Device;

/* functions */

void USB_Device_Test(void)
{
    MANGO_DBG_DEFAULT_BLUE;

    /* Init Device Library */
    USBD_Init(&USBD_Device, &HID_Desc, 0);
    MANGO_DBG("USBD_Init done\n");

    /* Add Supported Class */
    USBD_RegisterClass(&USBD_Device, &USBD_CUSTOM_HID);
    MANGO_DBG("USBD_RegisterClass done\n");

    /* Add Custom HID callbacks */
    USBD_CUSTOM_HID_RegisterInterface(&USBD_Device, &USBD_CustomHID_fops);
    MANGO_DBG("USBD_CUSTOM_HID_RegisterInterface done\n");

    /* Start Device Process */
    USBD_Start(&USBD_Device);
    MANGO_DBG("USBD_Start done\n");

    /* Run Application (Interrupt mode) */
    while (1)
    {
    }
}

